Bug 237489 - Circular dependency in evolution-data-server libraries
Circular dependency in evolution-data-server libraries
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: 237488 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-23 10:58 EDT by Matthias Clasen
Modified: 2009-10-23 12:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-23 12:26:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 456240 None None None Never

  None (edit)
Description Matthias Clasen 2007-04-23 10:58:34 EDT
/usr/lib/libexchange-storage-1.2.so is not sufficiently linked:

[mclasen@dhcp83-33 ~]$ ldd -r /usr/lib/libexchange-storage-1.2.so
undefined symbol: e_passwords_remember_password
undefined symbol: e_passwords_get_password     
undefined symbol: e_passwords_forget_password  
undefined symbol: e_passwords_add_password     
undefined symbol: e_passwords_ask_password     
Comment 1 Matthew Barnes 2007-04-23 12:16:24 EDT
*** Bug 237488 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Barnes 2007-04-24 14:47:53 EDT
A circular build dependency is causing this:

-libexchange-storage lives in the "servers" directory, and depends on
 libedataserverui (containing the missing symbols).

- libedataserverui depends on libebook.

- libebook depends on libcamel.

- libcamel lives in the "camel" directory, and so does libcamelgroupwise.

- libcamelgroupwise depends on libegroupwise.

- libegroupwise lives in the "servers" directory.

This is a real gordian knot.
Comment 3 Matthias Clasen 2007-08-12 14:46:16 EDT
Still the case in current rawhide.
Comment 4 Matthew Barnes 2007-08-12 18:00:39 EDT
Ross suggested moving libexchange-storage to evolution-exchange in [1], which
would break the dependency cycle and allow things to be linked properly. 
Upstream seems agreeable, but it looks like this will be a post-GNOME 2.20 effort.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=456240
Comment 5 Matthew Barnes 2008-02-12 21:28:35 EST
Bumping version to Rawhide; no movement on this yet, unfortunately.
Comment 6 Bug Zapper 2008-11-25 20:53:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 7 Matthew Barnes 2009-06-28 22:16:50 EDT
Moving this to Rawhide.  Wrote a patch today to move all remaining Exchange bits in E-D-S to Evolution-Exchange.  We'll see how it plays out.
Comment 8 Matthew Barnes 2009-10-23 12:26:31 EDT
We finally got all the Exchange bits in E-D-S and Evolution moved over to Evolution-Exchange.  That eliminates the circular dependency described in comment #2.  This will land in post-F12 Rawhide, so closing as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.